=== modified file 'server/field.cc'
--- server/field.cc	2008-07-09 20:09:04 +0000
+++ server/field.cc	2008-07-09 20:42:02 +0000
@@ -2458,196 +2458,6 @@
 
 
 /****************************************************************************
-  Field type medium int (3 byte)
-****************************************************************************/
-
-int Field_medium::store(const char *from,uint len,CHARSET_INFO *cs)
-{
-  ASSERT_COLUMN_MARKED_FOR_WRITE;
-  int store_tmp;
-  int error;
-  longlong rnd;
-  
-  error= get_int(cs, from, len, &rnd, UINT_MAX24, INT_MIN24, INT_MAX24);
-  store_tmp= unsigned_flag ? (int) (uint64_t) rnd : (int) rnd;
-  int3store(ptr, store_tmp);
-  return error;
-}
-
-
-int Field_medium::store(double nr)
-{
-  ASSERT_COLUMN_MARKED_FOR_WRITE;
-  int error= 0;
-  nr=rint(nr);
-  if (unsigned_flag)
-  {
-    if (nr < 0)
-    {
-      int3store(ptr,0);
-      set_warning(MYSQL_ERROR::WARN_LEVEL_WARN, ER_WARN_DATA_OUT_OF_RANGE, 1);
-      error= 1;
-    }
-    else if (nr >= (double) (long) (1L << 24))
-    {
-      uint32 tmp=(uint32) (1L << 24)-1L;
-      int3store(ptr,tmp);
-      set_warning(MYSQL_ERROR::WARN_LEVEL_WARN, ER_WARN_DATA_OUT_OF_RANGE, 1);
-      error= 1;
-    }
-    else
-      int3store(ptr,(uint32) nr);
-  }
-  else
-  {
-    if (nr < (double) INT_MIN24)
-    {
-      long tmp=(long) INT_MIN24;
-      int3store(ptr,tmp);
-      set_warning(MYSQL_ERROR::WARN_LEVEL_WARN, ER_WARN_DATA_OUT_OF_RANGE, 1);
-      error= 1;
-    }
-    else if (nr > (double) INT_MAX24)
-    {
-      long tmp=(long) INT_MAX24;
-      int3store(ptr,tmp);
-      set_warning(MYSQL_ERROR::WARN_LEVEL_WARN, ER_WARN_DATA_OUT_OF_RANGE, 1);
-      error= 1;
-    }
-    else
-      int3store(ptr,(long) nr);
-  }
-  return error;
-}
-
-
-int Field_medium::store(longlong nr, bool unsigned_val)
-{
-  ASSERT_COLUMN_MARKED_FOR_WRITE;
-  int error= 0;
-
-  if (unsigned_flag)
-  {
-    if (nr < 0 && !unsigned_val)
-    {
-      int3store(ptr,0);
-      set_warning(MYSQL_ERROR::WARN_LEVEL_WARN, ER_WARN_DATA_OUT_OF_RANGE, 1);
-      error= 1;
-    }
-    else if ((uint64_t) nr >= (uint64_t) (long) (1L << 24))
-    {
-      long tmp= (long) (1L << 24)-1L;
-      int3store(ptr,tmp);
-      set_warning(MYSQL_ERROR::WARN_LEVEL_WARN, ER_WARN_DATA_OUT_OF_RANGE, 1);
-      error= 1;
-    }
-    else
-      int3store(ptr,(uint32) nr);
-  }
-  else
-  {
-    if (nr < 0 && unsigned_val)
-      nr= (uint64_t) (long) (1L << 24);        // Generate overflow
-
-    if (nr < (longlong) INT_MIN24)
-    {
-      long tmp= (long) INT_MIN24;
-      int3store(ptr,tmp);
-      set_warning(MYSQL_ERROR::WARN_LEVEL_WARN, ER_WARN_DATA_OUT_OF_RANGE, 1);
-      error= 1;
-    }
-    else if (nr > (longlong) INT_MAX24)
-    {
-      long tmp=(long) INT_MAX24;
-      int3store(ptr,tmp);
-      set_warning(MYSQL_ERROR::WARN_LEVEL_WARN, ER_WARN_DATA_OUT_OF_RANGE, 1);
-      error= 1;
-    }
-    else
-      int3store(ptr,(long) nr);
-  }
-  return error;
-}
-
-
-double Field_medium::val_real(void)
-{
-  ASSERT_COLUMN_MARKED_FOR_READ;
-  long j= unsigned_flag ? (long) uint3korr(ptr) : sint3korr(ptr);
-  return (double) j;
-}
-
-
-longlong Field_medium::val_int(void)
-{
-  ASSERT_COLUMN_MARKED_FOR_READ;
-  long j= unsigned_flag ? (long) uint3korr(ptr) : sint3korr(ptr);
-  return (longlong) j;
-}
-
-
-String *Field_medium::val_str(String *val_buffer,
-			      String *val_ptr __attribute__((unused)))
-{
-  ASSERT_COLUMN_MARKED_FOR_READ;
-  CHARSET_INFO *cs= &my_charset_bin;
-  uint length;
-  uint mlength=max(field_length+1,10*cs->mbmaxlen);
-  val_buffer->alloc(mlength);
-  char *to=(char*) val_buffer->ptr();
-  long j= unsigned_flag ? (long) uint3korr(ptr) : sint3korr(ptr);
-
-  length=(uint) cs->cset->long10_to_str(cs,to,mlength,-10,j);
-  val_buffer->length(length);
-  if (zerofill)
-    prepend_zeros(val_buffer); /* purecov: inspected */
-  return val_buffer;
-}
-
-
-bool Field_medium::send_binary(Protocol *protocol)
-{
-  ASSERT_COLUMN_MARKED_FOR_READ;
-  return protocol->store_long(Field_medium::val_int());
-}
-
-
-int Field_medium::cmp(const uchar *a_ptr, const uchar *b_ptr)
-{
-  long a,b;
-  if (unsigned_flag)
-  {
-    a=uint3korr(a_ptr);
-    b=uint3korr(b_ptr);
-  }
-  else
-  {
-    a=sint3korr(a_ptr);
-    b=sint3korr(b_ptr);
-  }
-  return (a < b) ? -1 : (a > b) ? 1 : 0;
-}
-
-void Field_medium::sort_string(uchar *to,uint length __attribute__((unused)))
-{
-  if (unsigned_flag)
-    to[0] = ptr[2];
-  else
-    to[0] = (uchar) (ptr[2] ^ 128);		/* Revers signbit */
-  to[1] = ptr[1];
-  to[2] = ptr[0];
-}
-
-
-void Field_medium::sql_type(String &res) const
-{
-  CHARSET_INFO *cs=res.charset();
-  res.length(cs->cset->snprintf(cs,(char*) res.ptr(),res.alloced_length(), 
-			  "mediumint(%d)",(int) field_length));
-  add_zerofill_and_unsigned(res);
-}
-
-/****************************************************************************
 ** long int
 ****************************************************************************/
 

=== modified file 'server/field.h'
--- server/field.h	2008-07-08 20:52:20 +0000
+++ server/field.h	2008-07-09 20:42:02 +0000
@@ -834,48 +834,6 @@
   }
 };
 
-class Field_medium :public Field_num {
-public:
-  Field_medium(uchar *ptr_arg, uint32 len_arg, uchar *null_ptr_arg,
-	      uchar null_bit_arg,
-	      enum utype unireg_check_arg, const char *field_name_arg,
-	      bool zero_arg, bool unsigned_arg)
-    :Field_num(ptr_arg, len_arg, null_ptr_arg, null_bit_arg,
-	       unireg_check_arg, field_name_arg,
-	       0, zero_arg,unsigned_arg)
-    {}
-  enum Item_result result_type () const { return INT_RESULT; }
-  enum_field_types type() const { return MYSQL_TYPE_INT24;}
-  enum ha_base_keytype key_type() const
-    { return unsigned_flag ? HA_KEYTYPE_UINT24 : HA_KEYTYPE_INT24; }
-  int store(const char *to,uint length,CHARSET_INFO *charset);
-  int store(double nr);
-  int store(longlong nr, bool unsigned_val);
-  int reset(void) { ptr[0]=ptr[1]=ptr[2]=0; return 0; }
-  double val_real(void);
-  longlong val_int(void);
-  String *val_str(String*,String *);
-  bool send_binary(Protocol *protocol);
-  int cmp(const uchar *,const uchar *);
-  void sort_string(uchar *buff,uint length);
-  uint32 pack_length() const { return 3; }
-  void sql_type(String &str) const;
-  uint32 max_display_length() { return 8; }
-
-  virtual uchar *pack(uchar* to, const uchar *from,
-                      uint max_length, bool low_byte_first)
-  {
-    return Field::pack(to, from, max_length, low_byte_first);
-  }
-
-  virtual const uchar *unpack(uchar* to, const uchar *from,
-                              uint param_data, bool low_byte_first)
-  {
-    return Field::unpack(to, from, param_data, low_byte_first);
-  }
-};
-
-
 class Field_long :public Field_num {
 public:
   Field_long(uchar *ptr_arg, uint32 len_arg, uchar *null_ptr_arg,

